const jwt = require('jsonwebtoken');

class tokenValidation {
    constructor(config){
        this.SECRET = config.SECRET;
        return (req,res,next)=>{
            try{
                token = req.headers.token;
                result = jwt.verify(token,this.SECRET);
                user = jwt.decode(token,this.SECRET);
                req.authorized = user;
                next()
            }
            catch(error){
                res.statusCode = 400;
                res.setHeader("Content_Type" , "application/json");
                res.end(JSON.stringify({"error" : "you dont have token!!"}));
            }
        }
    }
}

module.exports = {
    tokenValidation,
}